/* Style général de la page (body) */
body {
  background-color: #202124;
  font-family: Roboto, Arial;
  margin: 0px;
}

/* Style de la barre de navigation (nav) */
nav {
  background-color: #343A40;
  display: flex;
  height: 62px;
  align-items: center;
}

/* Style des liens de la barre de navigation (nav) */
nav a {
  font-family: Roboto, Arial;
  color: white;
  text-align: center;
  padding: 16px 20px 16px;
  text-decoration: none;
  font-size: 16px;
  transition: 0.2s;
}

/* Style du logo dans le menu de navigation (nav) */
nav img {
  padding: 10px;
}

/* Style lors du passage de la souris dans le menu de navigation (nav) */
nav a:hover {
  color: #17A2B8;
}

/* Style page active dans le menu de navigation (nav) */
.active {
  color: #17A2B8 !important;
}

/* Styles de sous-menu */
.subnav {
  float: left;
  overflow: hidden;
}

.subnav .subnavbtn {
  color: white;
  font-size: 16px;
  border: none;
  outline: none;
  padding: 16px 20px 16px;
  background-color: inherit;
  font-family: inherit;
  margin: 0;
  transition: 0.2s;
}

.navbar a:hover,
.subnav:hover .subnavbtn {
  color: #17A2B8;
}

.subnav-content {
  display: none;
  position: absolute;
  left: 0;
  background-color: #424548;
  width: 100%;
  z-index: 1;
}

.subnav-content a {
  float: left;
  color: white;
  text-decoration: none;
}

.subnav-content a:hover {
  color: #17A2B8;
}

.subnav:hover .subnav-content {
  display: block;
}

/* Style du header */
header {
  margin: 0px;
  padding: 0px;
  height: 400px;
  background: linear-gradient(to left, rgba(0, 0, 0, 0), rgb(0, 0, 0)), url("/img/mlsrv-header-background.png");
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  align-items: center;
}

/* Style du skin du header */
.header-skin {
  flex-direction: row;
  margin-left: auto;
  padding-right: 50px;
  animation: float 4s ease-in-out infinite;
}

@keyframes float {
  0% {
    transform: translatey(0px);
  }

  50% {
    transform: translatey(-10px);
  }

  100% {
    transform: translatey(0px);
  }
}

/* Style du slogan du header */
header h1 {
  font-family: "Roboto Flex";
  font-weight: 400;
  margin: 0px;
  padding: 30px;
  font-size: 70px;
  color: white;
  animation: zoom-in-zoom-out 4s ease-in-out infinite;
}

@keyframes zoom-in-zoom-out {
  0% {
    transform: scale(1, 1);
  }

  50% {
    transform: scale(1.05, 1.05);
  }

  100% {
    transform: scale(1, 1);
  }
}

/* Style du séparateur */
hr {
  margin: 0;
  border: 0;
  border-top: 2px solid #555658;
}

/* Style du titre de la page d'accueil (h1) */
.homepage h1 {
  margin-top: 10px;
  margin-left: 20px;
  margin-bottom: 0px;
  color: white;
  font-family: "Roboto Flex";
  font-weight: 400;
  font-size: 45px;
}

/* Style du titre de la page d'accueil (h2) */
.homepage h2 {
  margin-top: 0px;
  margin-left: 20px;
  color: white;
  font-family: "Roboto Flex";
  font-weight: 400;
  font-size: 30px;
}

/* Style de la div des liens vers le guide (article) */
article {
  color: white;
  gap: 10px;
  display: flex;
  flex-direction: row;
  margin: 20px 20px 40px 20px;
}

/* Style des divs des articles */
.tutorial {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 14.2%;
  text-align: center;
  border: solid white 3px;
  border-radius: 20px;
  padding: 20px;
}
/* Style des divs des articles */
.tutorial img {
  padding-top: 10px;
}

.tutorial .titre-article {
  font-size: 25px;
  font-weight: bold;
}

.tutorial a {
  text-decoration: none;
}

.tutorial button {
  cursor: pointer;
  display: table-cell;
  vertical-align: bottom;
  font-family: Roboto, Arial;
  font-size: 15px;
  color: white;
  border: white 2px solid;
  border-radius: 10px;
  padding: 8px 17px 8px 17px;
  background-color: rgba(10, 137, 255, 0.2);
}

.tutorial .btn-soon {
  cursor: not-allowed;
}
/* Style du footer */
footer {
  justify-content: center;
  height: 50px;
  margin: 0px;
  display: flex;
  align-items: center;
  background-color: #343A40;
  color: white;
}

/* Style responsive */
@media (max-width: 1300px) {
  article {
    flex-direction: column;
  }

  .tutorial {
    width: unset;
  }

  header .header-skin {
    visibility: hidden;
  }
}